import javax.swing.*;
import java.awt.Dimension;
import java.awt.BorderLayout;
import java.util.ArrayList;
import java.awt.event.*;

public class JSpinnerTest7 extends JFrame implements ActionListener{

  SpinnerListModel model;

  public static void main(String[] args){
    JSpinnerTest7 frame = new JSpinnerTest7();

    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    frame.setBounds(10, 10, 300, 200);
    frame.setTitle("^Cg");
    frame.setVisible(true);
  }

  JSpinnerTest7(){
    ArrayList<String> data = new ArrayList<String>();
    data.add("{");
    data.add("AJ");
    data.add("CMX");
    data.add("hCc");
    data.add("tX");

    model = new SpinnerListModel(data);

    JSpinner spinner = new JSpinner(model);
    spinner.setPreferredSize(new Dimension(100, 25));

    JPanel p = new JPanel();
    p.add(spinner);

    JButton button = new JButton("get");
    button.addActionListener(this);

    JPanel buttonPanel = new JPanel();
    buttonPanel.add(button);

    getContentPane().add(p, BorderLayout.CENTER);
    getContentPane().add(buttonPanel, BorderLayout.PAGE_END);
  }

  public void actionPerformed(ActionEvent e){
    String value = (String)model.getValue();

    JOptionPane.showMessageDialog(this, value);
  }
}